Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,12 +20,8 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Core;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
-  public interface IVRPOperator: IItem {
+  public interface IVRPOperator : IItem {
     ILookupParameter<IVRPProblemInstance> ProblemInstanceParameter { get; }
   }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Optimization;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -30,5 +27,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
-  public interface IVRPProblemInstance: IItem {
+  public interface IVRPProblemInstance : IItem {
     IVRPEvaluator SolutionEvaluator { get; set; }
     IVRPEvaluator MoveEvaluator { get; }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,16 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Data;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
-using HeuristicLab.Data;
-using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
-  public class CVRPInterpreter: IVRPDataInterpreter<CVRPData> {
+  public class CVRPInterpreter : IVRPDataInterpreter<CVRPData> {
     public VRPInstanceDescription Interpret(IVRPData data) {
       CVRPData cvrpData = data as CVRPData;
@@ -40,5 +35,5 @@
 
       CVRPProblemInstance problem = new CVRPProblemInstance();
-      if(cvrpData.Coordinates != null)
+      if (cvrpData.Coordinates != null)
         problem.Coordinates = new DoubleMatrix(cvrpData.Coordinates);
       if (cvrpData.MaximumVehicles != null)
@@ -58,5 +53,5 @@
         PotvinEncoding solution = new PotvinEncoding(problem);
 
-        for(int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
+        for (int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
           Tour tour = new Tour();
           solution.Tours.Add(tour);
@@ -66,5 +61,5 @@
           }
         }
-        
+
         result.BestKnownSolution = solution;
       }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,16 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Data;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
-using HeuristicLab.Data;
-using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
-  public class CVRPTWInterpreter: IVRPDataInterpreter<CVRPTWData> {
+  public class CVRPTWInterpreter : IVRPDataInterpreter<CVRPTWData> {
     public VRPInstanceDescription Interpret(IVRPData data) {
       CVRPTWData cvrpData = data as CVRPTWData;
@@ -40,5 +35,5 @@
 
       CVRPTWProblemInstance problem = new CVRPTWProblemInstance();
-      if(cvrpData.Coordinates != null)
+      if (cvrpData.Coordinates != null)
         problem.Coordinates = new DoubleMatrix(cvrpData.Coordinates);
       if (cvrpData.MaximumVehicles != null)
@@ -61,5 +56,5 @@
         PotvinEncoding solution = new PotvinEncoding(problem);
 
-        for(int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
+        for (int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
           Tour tour = new Tour();
           solution.Tours.Add(tour);
@@ -69,5 +64,5 @@
           }
         }
-        
+
         result.BestKnownSolution = solution;
       }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Problems.Instances;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
@@ -35,10 +31,10 @@
     public IVRPEncoding BestKnownSolution { get; set; }
   }
-  
-  public interface IVRPDataInterpreter  {
+
+  public interface IVRPDataInterpreter {
     VRPInstanceDescription Interpret(IVRPData data);
   }
 
-  public interface IVRPDataInterpreter<T>: IVRPDataInterpreter where T : IVRPData {
+  public interface IVRPDataInterpreter<T> : IVRPDataInterpreter where T : IVRPData {
   }
 }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,16 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Data;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
-using HeuristicLab.Data;
-using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
-  public class MDCVRPTWInterpreter: IVRPDataInterpreter<MDCVRPTWData> {
+  public class MDCVRPTWInterpreter : IVRPDataInterpreter<MDCVRPTWData> {
     public VRPInstanceDescription Interpret(IVRPData data) {
       MDCVRPTWData cvrpData = data as MDCVRPTWData;
@@ -40,5 +35,5 @@
 
       MDCVRPTWProblemInstance problem = new MDCVRPTWProblemInstance();
-      if(cvrpData.Coordinates != null)
+      if (cvrpData.Coordinates != null)
         problem.Coordinates = new DoubleMatrix(cvrpData.Coordinates);
       if (cvrpData.MaximumVehicles != null)
@@ -65,5 +60,5 @@
         PotvinEncoding solution = new PotvinEncoding(problem);
 
-        for(int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
+        for (int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
           Tour tour = new Tour();
           solution.Tours.Add(tour);
@@ -73,5 +68,5 @@
           }
         }
-        
+
         result.BestKnownSolution = solution;
       }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,16 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Data;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
-using HeuristicLab.Data;
-using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
-  public class PDPTWInterpreter: IVRPDataInterpreter<PDPTWData> {
+  public class PDPTWInterpreter : IVRPDataInterpreter<PDPTWData> {
     public VRPInstanceDescription Interpret(IVRPData data) {
       PDPTWData cvrpData = data as PDPTWData;
@@ -40,5 +35,5 @@
 
       CVRPPDTWProblemInstance problem = new CVRPPDTWProblemInstance();
-      if(cvrpData.Coordinates != null)
+      if (cvrpData.Coordinates != null)
         problem.Coordinates = new DoubleMatrix(cvrpData.Coordinates);
       if (cvrpData.MaximumVehicles != null)
@@ -62,5 +57,5 @@
         PotvinEncoding solution = new PotvinEncoding(problem);
 
-        for(int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
+        for (int i = 0; i < cvrpData.BestKnownTour.GetLength(0); i++) {
           Tour tour = new Tour();
           solution.Tours.Add(tour);
@@ -70,5 +65,5 @@
           }
         }
-        
+
         result.BestKnownSolution = solution;
       }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Plugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Plugin.cs.frame	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Plugin.cs.frame	(revision 8053)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPEvaluator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPEvaluator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,23 +20,16 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Problems.VehicleRouting.Encodings;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPEvaluator", "Represents a multi depot CVRP evaluator.")]
   [StorableClass]
-  public class MDCVRPEvaluator: VRPEvaluator {
+  public class MDCVRPEvaluator : VRPEvaluator {
     public ILookupParameter<DoubleValue> OverloadParameter {
       get { return (ILookupParameter<DoubleValue>)Parameters["Overload"]; }
@@ -103,8 +96,8 @@
     }
 
-    protected override double GetTourInsertionCosts(IVRPProblemInstance instance, IVRPEncoding solution, TourInsertionInfo tourInsertionInfo, int index, int customer, 
+    protected override double GetTourInsertionCosts(IVRPProblemInstance instance, IVRPEncoding solution, TourInsertionInfo tourInsertionInfo, int index, int customer,
       out bool feasible) {
       CVRPInsertionInfo insertionInfo = tourInsertionInfo.GetStopInsertionInfo(index) as CVRPInsertionInfo;
-      
+
       double costs = 0;
       feasible = tourInsertionInfo.Penalty < double.Epsilon;
@@ -120,10 +113,10 @@
         feasible = false;
 
-        if(insertionInfo.SpareCapacity >= 0)
+        if (insertionInfo.SpareCapacity >= 0)
           costs += (demand - insertionInfo.SpareCapacity) * overloadPenalty;
         else
           costs += demand * overloadPenalty;
       }
-      
+
       return costs;
     }
@@ -140,5 +133,5 @@
       OverloadParameter.ActualValue.Value = (tourEvaluation as CVRPEvaluation).Overload;
     }
-    
+
     [StorableConstructor]
     protected MDCVRPEvaluator(bool deserializing) : base(deserializing) { }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPProblemInstance.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWEvaluator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWEvaluator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,21 +22,16 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Problems.VehicleRouting.Encodings;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPPDTWEvaluator", "Represents a multi depot CVRPPDTW evaluator.")]
   [StorableClass]
-  public class MDCVRPPDTWEvaluator: MDCVRPTWEvaluator {
+  public class MDCVRPPDTWEvaluator : MDCVRPTWEvaluator {
     public ILookupParameter<IntValue> PickupViolationsParameter {
       get { return (ILookupParameter<IntValue>)Parameters["PickupViolations"]; }
@@ -149,5 +144,5 @@
 
         double spareCapacity = capacity - currentLoad;
-        CVRPPDTWInsertionInfo stopInfo = new CVRPPDTWInsertionInfo(start, end, spareCapacity, tourStartTime, 
+        CVRPPDTWInsertionInfo stopInfo = new CVRPPDTWInsertionInfo(start, end, spareCapacity, tourStartTime,
           arrivalTime, time, spareTime, waitTime, new List<int>(stops.Keys), arrivalSpareCapacity);
         tourInfo.AddStopInsertionInfo(stopInfo);
@@ -187,5 +182,5 @@
     }
 
-    protected override double GetTourInsertionCosts(IVRPProblemInstance instance, IVRPEncoding solution, TourInsertionInfo tourInsertionInfo, int index, int customer, 
+    protected override double GetTourInsertionCosts(IVRPProblemInstance instance, IVRPEncoding solution, TourInsertionInfo tourInsertionInfo, int index, int customer,
       out bool feasible) {
       CVRPPDTWInsertionInfo insertionInfo = tourInsertionInfo.GetStopInsertionInfo(index) as CVRPPDTWInsertionInfo;
@@ -327,5 +322,5 @@
       PickupViolationsParameter.ActualValue.Value = (tourEvaluation as CVRPPDTWEvaluation).PickupViolations;
     }
-    
+
     [StorableConstructor]
     protected MDCVRPPDTWEvaluator(bool deserializing) : base(deserializing) { }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPPDTW/MDCVRPPDTWProblemInstance.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWEvaluator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWEvaluator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,22 +21,16 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Problems.VehicleRouting.Encodings;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MDCVRPTWEvaluator", "Represents a multi depot CVRPTW evaluator.")]
   [StorableClass]
-  public class MDCVRPTWEvaluator: MDCVRPEvaluator {
+  public class MDCVRPTWEvaluator : MDCVRPEvaluator {
     public ILookupParameter<DoubleValue> TardinessParameter {
       get { return (ILookupParameter<DoubleValue>)Parameters["Tardiness"]; }
@@ -130,5 +124,5 @@
         //service
         double currentServiceTime = 0;
-        if(end > 0)
+        if (end > 0)
           currentServiceTime = serviceTimes[end - 1];
         serviceTime += currentServiceTime;
@@ -193,5 +187,5 @@
         feasible = false;
 
-        if(insertionInfo.SpareCapacity >= 0)
+        if (insertionInfo.SpareCapacity >= 0)
           costs += (demand - insertionInfo.SpareCapacity) * overloadPenalty;
         else
@@ -241,5 +235,5 @@
           //arrive later than before, probably don't have to wait
           if (nextStop.WaitingTime > 0) {
-            additionalTime -= Math.Min(additionalTime, nextStop.WaitingTime);            
+            additionalTime -= Math.Min(additionalTime, nextStop.WaitingTime);
           }
 
@@ -248,5 +242,5 @@
             double spare = nextStop.SpareTime - additionalTime;
             if (spare < 0)
-              tardiness += -spare; 
+              tardiness += -spare;
           } else {
             tardiness += additionalTime;
@@ -279,5 +273,5 @@
       TravelTimeParameter.ActualValue.Value = (tourEvaluation as CVRPTWEvaluation).TravelTime;
     }
-    
+
     [StorableConstructor]
     protected MDCVRPTWEvaluator(bool deserializing) : base(deserializing) { }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MDCVRP/MDCVRPTW/MDCVRPTWProblemInstance.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPEvaluator.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPEvaluator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,18 +20,8 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Problems.VehicleRouting.Encodings;
-using HeuristicLab.Common;
 
 
@@ -39,9 +29,9 @@
   [Item("SingleDepotVRPEvaluator", "Represents a single depot VRP evaluator.")]
   [StorableClass]
-  public class MultiDepotVRPEvaluator: VRPEvaluator {
+  public class MultiDepotVRPEvaluator : VRPEvaluator {
     protected override void EvaluateTour(VRPEvaluation eval, IVRPProblemInstance instance, Tour tour, IVRPEncoding solution) {
       TourInsertionInfo tourInfo = new TourInsertionInfo(solution.GetVehicleAssignment(solution.GetTourIndex(tour)));
       eval.InsertionInfo.AddTourInsertionInfo(tourInfo);
-      
+
       double distance = 0.0;
       double quality = 0.0;
@@ -79,5 +69,5 @@
       out bool feasible) {
       StopInsertionInfo insertionInfo = tourInsertionInfo.GetStopInsertionInfo(index);
-      
+
       double costs = 0;
       feasible = true;
@@ -88,5 +78,5 @@
       return costs;
     }
-    
+
     [StorableConstructor]
     protected MultiDepotVRPEvaluator(bool deserializing) : base(deserializing) { }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPProblemInstance.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPProblemInstance.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/MultiDepotVRP/MultiDepotVRPProblemInstance.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,22 +20,20 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.Variants;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
   [Item("MultiDepotVRPProblemInstance", "Represents a multi depot VRP instance.")]
   [StorableClass]
-  public class MultiDepotVRPProblemInstance: VRPProblemInstance, IMultiDepotProblemInstance {
+  public class MultiDepotVRPProblemInstance : VRPProblemInstance, IMultiDepotProblemInstance {
     protected IValueParameter<IntValue> DepotsParameter {
       get { return (IValueParameter<IntValue>)Parameters["Depots"]; }
@@ -60,5 +58,5 @@
       }
     }
-    
+
     protected override IEnumerable<IOperator> GetOperators() {
       return ApplicationManager.Manager.GetInstances<IMultiDepotOperator>().Cast<IOperator>();
@@ -95,5 +93,5 @@
     public override double[] GetCoordinates(int city) {
       double[] coordinates;
-      
+
       if (city == 0) {
         //calculate centroid
@@ -119,5 +117,5 @@
     public int GetDepot(int customer, IVRPEncoding solution) {
       int depot = -1;
-      
+
       Tour tour =
           solution.GetTours().FirstOrDefault(t => t.Stops.Contains(customer));
@@ -135,5 +133,5 @@
       if (start == 0 && end == 0)
         return 0;
-      
+
       if (start == 0) {
         start = GetDepot(end, solution);
@@ -146,9 +144,9 @@
         end += Depots.Value - 1;
       }
-      
+
       return base.GetDistance(start, end, solution);
     }
 
-    public override double GetInsertionDistance(int start, int customer, int end, IVRPEncoding solution, 
+    public override double GetInsertionDistance(int start, int customer, int end, IVRPEncoding solution,
       out double startDistance, out double endDistance) {
       if (start == 0) {
@@ -163,5 +161,5 @@
       }
       customer += Depots.Value - 1;
-      
+
       double distance = base.GetDistance(start, end, solution);
 
@@ -173,5 +171,5 @@
       return newDistance - distance;
     }
-    
+
     [StorableConstructor]
     protected MultiDepotVRPProblemInstance(bool deserializing) : base(deserializing) { }
Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs	(revision 8052)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
@@ -41,6 +34,6 @@
     }
   }
-  
-  public class CVRPEvaluation: VRPEvaluation {
+
+  public class CVRPEvaluation : VRPEvaluation {
     public double Overload { get; set; }
   }
